Eclipse Fehler nach Installation auf Paket 0.37.1 - Fedora rpm - Fedora 27


#1

Hallo zusammen

Vielen Dank für die neue Version und das entsprechende Fedora rpm!

Nach dem dnf Update erhalte ich beim Starten eine Fehlermeldung -> log:

!SESSION Sat Jan 26 09:02:30 CET 2019 ------------------------------------------
!ENTRY org.eclipse.equinox.launcher 4 0 2019-01-26 09:02:30.784
!MESSAGE Could not find extension: reference:file:org.eclipse.osgi.compatibility.state_1.1.100.v20180331-1743.jar
!ENTRY org.eclipse.equinox.launcher 4 0 2019-01-26 09:02:30.786
!MESSAGE Could not find extension: reference:file:org.eclipse.osgi.nl_de_4.7.0.v20171231020002.jar
!ENTRY org.eclipse.equinox.launcher 4 0 2019-01-26 09:02:30.787
!MESSAGE Could not find extension: reference:file:org.eclipse.osgi.nl_es_4.7.0.v20171231020002.jar
!ENTRY org.eclipse.equinox.launcher 4 0 2019-01-26 09:02:30.862
!MESSAGE Exception launching the Eclipse Platform:
!STACK
java.lang.ClassNotFoundException: org.eclipse.core.runtime.adaptor.EclipseStarter
at java.net.URLClassLoader.findClass(URLClassLoader.java:382)
at java.lang.ClassLoader.loadClass(ClassLoader.java:424)
at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:656)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:595)
at org.eclipse.equinox.launcher.Main.run(Main.java:1501)
at org.eclipse.equinox.launcher.Main.main(Main.java:1474)

Wo genau sollten diese Files liegen, bzw. ist jemand ebenfalls diesen Fehler gestolpert?
Vielen Dank im Voraus!


#2

Das Framework für die Selbst-Aktualisierung ist nicht immer stabil. Vor allem wenn es sich selber aktualisieren muss (was mit 0.37.x der Fall ist)

Wenn der Fehler auch nach einem zweiten Start bleibt, musst Du wohl die Installation löschen und noch mal runterladen. Deine XML Datei sollte sowieso irgendwo unter “Meine Dokumente” liegen.


#3

Hmm, auch nach einem dnf remove und erneutem dnf install wirft PP die Fehlermeldung und verweist auf das Logfile: .eclipse/1092528256_linux_gtk_x86_64/configuration/1548514505804.log

Abhängigkeiten:
Pakete werden heruntergeladen:
(1/4): java-1.8.0-openjdk-1.8.0.191.b12-8.fc27.x86_64.rpm
(2/4): ttmkfdir-3.0.9-51.fc27.x86_64.rpm 411
(3/4): xorg-x11-fonts-Type1-7.5-18.fc27.noarch.rpm
(4/4): portfolio-performance-0.37.1-1.fc27.x86_64.rpm

$ dnf repolist
Copr repo for PortfolioPerformance owned by lray 8.3 kB/s | 6.7 kB 00:00
Fedora 27 - x86_64 - Updates 3.5 MB/s | 27 MB 00:07
Fedora 27 - x86_64 4.5 MB/s
[…]


#4

Ich habe .eclipse mal nach .eclipse_OLD umbenannt.
Jetzt startet es wieder korrekt.

Danke für deine Zeit!


geschlossen, #5

Dieses Thema wurde automatisch 3 Tage nach der letzten Antwort geschlossen. Es sind keine neuen Nachrichten mehr erlaubt.